Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion.impl
Class DefaultConversionPropertiesProcessor

    java.lang.Object
      com.opensymphony.xwork2.conversion.impl.DefaultConversionPropertiesProcessor

All Implemented Interfaces:
  ConversionPropertiesProcessor

    public class DefaultConversionPropertiesProcessor

extends Object
implements ConversionPropertiesProcessor

TODO lukaszlenart: add a comment

Constructor Summary
`DefaultConversionPropertiesProcessor()`

Method Summary
`void` | `loadConversionProperties(String propsName, boolean require)`
`void` | `process(String propsName)` Process given property to load converters as not required (Properties file doesn't have to exist)
`void` | `processRequired(String propsName)` Process given property to load converters as required (Properties file must exist)
`void` | `setTypeConverterCreator(TypeConverterCreator converterCreator)`
`void` | `setTypeConverterHolder(TypeConverterHolder converterHolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConversionPropertiesProcessor

    public DefaultConversionPropertiesProcessor()

Method Detail

### setTypeConverterCreator

    public void setTypeConverterCreator(TypeConverterCreator converterCreator)

### setTypeConverterHolder

    public void setTypeConverterHolder(TypeConverterHolder converterHolder)

### process

    public void process(String propsName)

  Description copied from interface: `ConversionPropertiesProcessor`
  Process given property to load converters as not required (Properties file doesn't have to exist)

  Specified by:
    `process` in interface `ConversionPropertiesProcessor`
  Parameters:
    `propsName` - Properties file name

### processRequired

    public void processRequired(String propsName)

  Description copied from interface: `ConversionPropertiesProcessor`
  Process given property to load converters as required (Properties file must exist)

  Specified by:
    `processRequired` in interface `ConversionPropertiesProcessor`
  Parameters:
    `propsName` - Properties file name

### loadConversionProperties

    public void loadConversionProperties(String propsName,
                                         boolean require)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.